# 📦 Taktkit

**Taktkit** is a lightweight JavaScript toolkit to build beautiful, data-driven dashboards with minimal configuration. Designed for flexibility and fast integration, Taktkit provides a set of utilities to render charts, handle JSON datasets, and build responsive visualizations for agile metrics, product tracking, or general analytics.

---

## 🚀 Features

- 📊 Render bar, pie, and line charts with zero boilerplate
- 🎨 Custom color support per category/year/status
- 📁 Load data directly from JSON embedded in `<script>` tags or fetched dynamically
- 🔍 Smart support for dashboards with filters
- 🧩 Modular and framework-agnostic (no dependencies)
- 🌐 Works with Flask, Django, Express, static HTML, etc.

---

## 📁 Installation

Include via link tag:
```html
<link rel="stylesheet" href="taktkit/css/taktkit.min.css">

Include via script tag:

```html
<script type="module" src="taktkit/js/taktkit.min.js"></script>
